<p class="topic">
Replica Settings
</p>

<p class="text">
Use this tab to configure replication settings for the database selected in the left navigation tree.
</p>

<p class="text">
<b>Enable Replica. </b>Select this checkbox to enable replication. You must select this checkbox to activate all other fields in the window.
</p>

<p class="text">
<b>Replica Role.</b> Select one of the replica roles
</p>

<blockquote>
<p class="text">
<b>Single Master. </b>Select this radio button if you want this Directory Server to act as the single supplier server for this database.
</p>

<p class="text">
<b>Multiple Master. </b>Select this radio button if you want this Directory Server to act as one of the supplier servers that can replicate this database to consumers.
</p>

<p class="text">
<b>Hub. </b>Select this radio button if you want this Directory Server to accept updates from one or more supplier server, and replicate changes to consumer servers.  Except for replicated operations from suppliers, a hub can service search operations but not update operations. Update operations will be referred to a supplier server.
</p>

<p class="text">
<b>Dedicated Consumer. </b>Select this radio button if you want this Directory Server to accept updates from a supplier server. A dedicated consumer can service search operations but not update operations. Update operations will be referred to a supplier server.
</p>
</blockquote>

<p class="text">
<b>Common Settings.</b>
</p>

<blockquote>
<p class="text">
<b>Replica ID. </b>An integer between 1 and 65534 that identifies the replica. The replica IDs of the master replicas must be unique. In other words, master replicas involved in the same multi-master configuration must have different replica IDs. However, two master replicas (corresponding to different suffixes) on the same server can have the same replica ID. 
</p>

<p class="text">
If the ID is incorrect, the field labels turn red and the Save button is disabled. Hub and Dedicated Consumer do not require Replica ID.
</p>

<p class="text">
<b>Purge delay. </b>The delay you specify in these fields determines how long the server keeps replication state information in the database before it is purged.  A longer time means that the risk of needing to perform a replication re-initialization is lower, but you will need more disk space to store the extra data and more memory to cache the extra data.  A shorter time means the risk of needing to perform a replication re-initializtion is higher, but you will need less disk space and memory.  Check the Never checkbox if you want to save this information indefinitely.  
</p>
</blockquote>

<p class="text">
<b>Update Settings.</b>
</p>

<blockquote>
<p class="text">
<b>Current Supplier DNs. </b>This field lists the supplier bind DNs that supplier servers must use to update this replica. You can specify multiple supplier bind DNs per replica, but only one supplier DN per replication agreement. Use the "<b>Enter a new Supplier DN</b>" field to specify a new supplier DN and click Add to add it to this list. If you have configured replication over SSL, specify the DN of the entry that contains the supplier's certificate in the "<b>Enter a new Supplier DN</b>" field and click Add to add it to this list.
</p>

<p class="text">
<b>Current URLs for referrals (Optional). </b>Directory Server uses the information contained in the replication agreement to create referrals from the consumer server to the appropriate supplier servers. This field lists the URLs you specify in addition to the automatic URLs which will be set up automatically. If you want the consumer to return an <code>ldaps://</code> URL, so that clients will bind to the supplier servers using SSL, enter the URL in the "Enter a new URL" field and click Add to add it to this list of current URLs. In the same way, if you have a cascading replication scenario and you want the referral returned to clients to point to the original supplier instead of the hub supplier, enter the corresponding URL in the "Enter a new URL" field and click Add to add it to this list of current URLs.
</p>
</blockquote>
